import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * This class defines a crab. Crabs live on the beach.
 */
public class Crab extends Animal
{

    private Score scoreboard = new Score(0);
    private boolean started = false;

    public void act()
    {
        if(!started){
            getWorld().addObject(scoreboard, 150, 450);
            started = true;
        }
        move();
        if(Greenfoot.isKeyDown("a")){
            turn(-5);
        }
        if(Greenfoot.isKeyDown("d")){
            turn(5);
        }
        if(canSee(Worm.class)){ //Checks for a coliding worm
            eat(Worm.class); //Removes the coliding worm
            Greenfoot.playSound("slurp.wav");
            scoreboard.increase(10);
            getWorld().addObject(new Worm(),
            Greenfoot.getRandomNumber(640),
            Greenfoot.getRandomNumber(480));
        }
        if(canSee(Lobster.class)){
            scoreboard.setLocation(320, 260);
            Greenfoot.playSound("au.wav");
            getWorld().addObject(new GameOver(), 320,240);
            getWorld().removeObject(this);
        }
    }
}

