import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;

/**
 * Score displays the number of worms eaten.
 * 
 * @author Michael Clapham
 * @version 17/10/2010
 */
public class Score  extends Actor
{

    private int score;
    private String prefix; //String put before number
    private String suffix; //String put after number
    private Font fnt; //Font used for string
    
    /**
     * Creates a new Score object. An initial score must be given
     */
    public Score(int score)
    {
        //Sets Variables
        this.score = score;
        prefix = "Score: ";
        suffix = "";
        fnt = new Font ("Arial", 0, 20); //Normal Style, Size 20
        
        paint();
    }
    
    /**
     * Adds one to the score and redraws the counter
     */
    public void increase(){
        score++; //Increments Score by 1
        paint();
    }
    
    /**
     * Adds a given number to the score. For debugging
     */
    public void increase(int inc){
        score = score + inc;
        paint();
    }
    
    /**
     * Repaints the score display
     */
    public void paint(){
        //Draw Code
        GreenfootImage img = new GreenfootImage(180,20);
        img.setFont(fnt);
        img.drawString(prefix + score + suffix, 40, 20);
        
        setImage(img);
    }
}
